<?php
class cPuntoventa{
	function insertar($cod,$alias,$nom,$emp_id,$tippag,$mon,$dia){
		$sql = "INSERT tb_puntoventa (
		`tb_puntoventa_cod`,
		`tb_puntoventa_alias`,
		`tb_puntoventa_nom`,
		`tb_empresa_id`,
		`tb_puntoventa_tippag`,
		`tb_puntoventa_mon`,
		`tb_puntoventa_diaven`
		)
		VALUES (
		'$cod','$alias', '$nom', '$emp_id','$tippag','$mon','$dia'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function filtrar($emp_id,$punven_id){
		$sql="SELECT * FROM tb_puntoventa pv 
		inner join tb_empresa em on pv.tb_empresa_id = em.tb_empresa_id
		WHERE pv.tb_puntoventa_xac = '1'";  
		
		if($emp_id!='') $sql .= "AND pv.tb_empresa_id = '$emp_id'";
		if($punven_id!='') $sql .= "AND pv.tb_puntoventa_id = '$punven_id'";
		
		$sql .="ORDER BY pv.tb_puntoventa_nom ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		
		$sql="SELECT * FROM tb_puntoventa
		WHERE tb_puntoventa_id = '$id'";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id,$cod,$alias,$nom,$empid,$tippag,$mon,$dia){ 
		$sql = "UPDATE tb_puntoventa SET  
		`tb_puntoventa_cod` =  '$cod',
		`tb_puntoventa_alias` =  '$alias',
		`tb_puntoventa_nom` =  '$nom',
		`tb_empresa_id` =  '$empid',
		`tb_puntoventa_tippag` =  '$tippag',
		`tb_puntoventa_mon` =  '$mon',
		`tb_puntoventa_diaven` =  '$dia'	
	
		WHERE  tb_puntoventa_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function eliminar($id){
		$sql = "UPDATE tb_puntoventa SET  
		`tb_puntoventa_xac` =  '0'
		WHERE  tb_puntoventa_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	//usuario punto de venta
	function insertar_usuariopv($usu_id,$punven_id){
		$sql = "INSERT INTO  tb_usuariopv(
		`tb_usuario_id` ,
		`tb_puntoventa_id`
		)
		VALUES (
		'$usu_id',  '$punven_id'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrar_puntoventa_por_usuario($usu_id,$punven_id){
		$sql="SELECT * 
		FROM tb_usuariopv u
		INNER JOIN tb_puntoventa pv ON u.tb_puntoventa_id=pv.tb_puntoventa_id
		INNER JOIN tb_empresa e ON pv.tb_empresa_id = e.tb_empresa_id
		WHERE u.tb_usuario_id= $usu_id ";
		if($punven_id>0)$sql.=" AND u.tb_puntoventa_id = $punven_id";
		$sql.="	ORDER BY e.tb_empresa_razsoc, pv.tb_puntoventa_nom ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function eliminar_usuariopv($id){
		$sql="DELETE FROM tb_usuariopv WHERE tb_usuariopv_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>